| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# linux_proc Struct Reference

List of all members.

## Detailed Description

Definition at line 94 of file ProcessDescriptor.cpp.

## Public Attributes
int | pid
char | comm [400]
char | state
int | ppid
int | pgrp
int | session
int | tty
int | tpgid
unsigned int | flags
unsigned int | minflt
unsigned int | cminflt
unsigned int | majflt
unsigned int | cmajflt
int | utime
int | stime
int | cutime
int | cstime
int | counter
int | priority
unsigned int | timeout
unsigned int | itrealvalue
int | starttime
unsigned int | vsize
unsigned int | rss
unsigned int | rlim
unsigned long | startcode
unsigned long | endcode
unsigned int | startstack
unsigned int | kstkesp
unsigned int | kstkeip
int | signal
int | blocked
int | sigignore
int | sigcatch
unsigned int | wchan

## Member Data Documentation

int linux_proc::pid

Definition at line 95 of file ProcessDescriptor.cpp.

char linux_proc::comm[400]

Definition at line 96 of file ProcessDescriptor.cpp.

char linux_proc::state

Definition at line 97 of file ProcessDescriptor.cpp.

int linux_proc::ppid

Definition at line 98 of file ProcessDescriptor.cpp.

int linux_proc::pgrp

Definition at line 99 of file ProcessDescriptor.cpp.

int linux_proc::session

Definition at line 100 of file ProcessDescriptor.cpp.

int linux_proc::tty

Definition at line 101 of file ProcessDescriptor.cpp.

int linux_proc::tpgid

Definition at line 102 of file ProcessDescriptor.cpp.

unsigned int linux_proc::flags

Definition at line 103 of file ProcessDescriptor.cpp.

unsigned int linux_proc::minflt

Definition at line 104 of file ProcessDescriptor.cpp.

unsigned int linux_proc::cminflt

Definition at line 105 of file ProcessDescriptor.cpp.

unsigned int linux_proc::majflt

Definition at line 106 of file ProcessDescriptor.cpp.

unsigned int linux_proc::cmajflt

Definition at line 107 of file ProcessDescriptor.cpp.

int linux_proc::utime

Definition at line 108 of file ProcessDescriptor.cpp.

int linux_proc::stime

Definition at line 109 of file ProcessDescriptor.cpp.

int linux_proc::cutime

Definition at line 110 of file ProcessDescriptor.cpp.

int linux_proc::cstime

Definition at line 111 of file ProcessDescriptor.cpp.

int linux_proc::counter

Definition at line 112 of file ProcessDescriptor.cpp.

int linux_proc::priority

Definition at line 113 of file ProcessDescriptor.cpp.

unsigned int linux_proc::timeout

Definition at line 114 of file ProcessDescriptor.cpp.

unsigned int linux_proc::itrealvalue

Definition at line 115 of file ProcessDescriptor.cpp.

int linux_proc::starttime

Definition at line 116 of file ProcessDescriptor.cpp.

unsigned int linux_proc::vsize

Definition at line 117 of file ProcessDescriptor.cpp.

unsigned int linux_proc::rss

Definition at line 118 of file ProcessDescriptor.cpp.

unsigned int linux_proc::rlim

Definition at line 119 of file ProcessDescriptor.cpp.

unsigned long linux_proc::startcode

Definition at line 120 of file ProcessDescriptor.cpp.

unsigned long linux_proc::endcode

Definition at line 121 of file ProcessDescriptor.cpp.

unsigned int linux_proc::startstack

Definition at line 122 of file ProcessDescriptor.cpp.

unsigned int linux_proc::kstkesp

Definition at line 123 of file ProcessDescriptor.cpp.

unsigned int linux_proc::kstkeip

Definition at line 124 of file ProcessDescriptor.cpp.

int linux_proc::signal

Definition at line 125 of file ProcessDescriptor.cpp.

int linux_proc::blocked

Definition at line 126 of file ProcessDescriptor.cpp.

int linux_proc::sigignore

Definition at line 127 of file ProcessDescriptor.cpp.

int linux_proc::sigcatch

Definition at line 128 of file ProcessDescriptor.cpp.

unsigned int linux_proc::wchan

Definition at line 129 of file ProcessDescriptor.cpp.

The documentation for this struct was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiKernel/src/Lib/ProcessDescriptor.cpp